<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2002-2006 - INRIA - Serge STEER 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="intsplin">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>intsplin</refname>
    <refpurpose> intégration approchée de données expérimentales utilisant une interpolation par une spline.  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>v = intsplin([x,] s)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>x  </term>
        <listitem>
          <para>vecteur des abscisses, classées par ordre croissant. La valeur par défaut est <literal>1:size(y,'*')</literal>
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>s  </term>
        <listitem>
          <para>vecteur des ordonnées.
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>v  </term>
        <listitem>
          <para>valeur de l'approximation de l'intégrale
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Calcule une approximation de :
  </para>
    <para>
    où f est donnée sous forme de valeurs expérimentales :
  </para>
    <para><literal>s(i)=f(x(i))</literal>  et <literal>x0=x(1)</literal>, <literal>x1=x(n)</literal>
  </para>
    <para>
    Entre les points, f est approchée à l'aide d'une spline.
  </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
t=0:0.1:%pi
intsplin(t,sin(t))
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="intg">intg</link>
      </member>
      <member>
        <link linkend="intc">intc</link>
      </member>
      <member>
        <link linkend="intl">intl</link>
      </member>
      <member>
        <link linkend="integrate">integrate</link>
      </member>
      <member>
        <link linkend="inttrap">inttrap</link>
      </member>
      <member>
        <link linkend="splin">splin</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
